﻿namespace Hotline.BatchTask;

public interface IApptaskExecutor
{
    /// <summary>
    /// 执行任务
    /// </summary>
    /// <param name="request"></param>
    /// <param name="cancellation"></param>
    /// <returns>是否成功执行</returns>
    Task<bool> ExecuteAsync<TRequest>(TRequest request, CancellationToken cancellation);
}